Skip to main content
GET
/
api
/
webhooks
/
{id}
/
deliveries
List webhook deliveries
curl --request GET \
  --url https://atollhq.com/api/webhooks/{id}/deliveries \
  --header 'Authorization: Bearer <token>'
{
  "deliveries": [
    {
      "id": "<string>",
      "delivery_id": "<string>",
      "webhook_id": "<string>",
      "event_type": "<string>",
      "delivered_at": "2023-11-07T05:31:56Z",
      "status_code": 123,
      "response_body": "<string>",
      "error": "<string>",
      "next_retry_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

id identifier

Query Parameters

shape
enum<string>

Opt into the CLI-compatible list envelope response.

Available options:
envelope,
cli
response_shape
enum<string>

Alias for shape; use cli for the CLI-compatible list envelope response.

Available options:
cli,
envelope

Response

Successful response

deliveries
object[]
required